body {
    height: 100vh;
    margin: 0;
    justify-content: center;
    align-items: center;
    background: #255;
    display: flex;
    font-family: 'Poppins', sans-serif;
    background-image: url('https://source.unsplash.com/1600x900/?nature,water');
    font-size: 120%;
}
.description{
    text-transform: capitalize;
}
.flex{
    display: flex;
    align-items: center;
}
.card {
    
    max-width: 420px;
    width: 100%;
    background: #000000d0;
    color: rgb(238, 228, 228);
    padding: 2em;
    border-radius: 30px;
    margin : 1em;
}

.search{
    display: flex;
    align-items: center;
    justify-content: center;
}

button {
    margin: 0.5em;
    border-radius: 50%;
    border: none;
    height: 2.5em;
    width: 2.5em;
    outline: none;
    background: #7c7c7c2b;
    color: white;
    cursor: pointer;
    transition: 0.2s ease-in-out;
}
button:hover{
    background: #7c7c7c6b;
}

input.search-bar{
    border: none;
    outline: none;
    padding: 0.4em 1em;
    border-radius: 20px;
    background: #7c7c7c2b;
    color: white;
    font-family: inherit;
    font-size: 100%;
    width: calc(100% -100 px);
}

h1.temp{
    margin:0;
}
.weather.loading{
    visibility: hidden;
    max-height: 20px;
    position: relative;
}
.weather.loading:after{
    visibility: visible;
    content: "Loading...";
    color: white;
    position: absolute;
   top: 0;
}